# Create the Scroll Component
scroll = new ScrollComponent
	width: 375, height: 667
	point: Align.center
	borderColor: "gray", borderWidth: 1
	scrollHorizontal: no


# Add 6 content layers
for index in [0...6]
	layer = new Layer
		width: 341, height: 200, borderRadius: 10
		backgroundColor: "#7DDD11"
		parent: scroll.content
		x: 16 
		y: 216 * index


# navigation bar
navigationBar = new Layer
	width: scroll.width, height: 44
	backgroundColor: "#2DD7AA"
	parent: scroll
	opacity: .8
	y: 20

# status bar
statusBar = new Layer
	width: scroll.width, height: 20
	backgroundColor: "lightgrey"
	parent: scroll
	opacity: .8

# toolbar at the bottom of the screen
toolBar = new Layer
	width: scroll.width, height: 44
	backgroundColor: "#2DD7AA"
	parent: scroll
	opacity: .8
	y: scroll.height - 44


# content inset for the top & bottom bars
scroll.contentInset =
	top: statusBar.height + navigationBar.height + 16
	bottom: toolBar.height + 16


# move the nav bar up together with the content
scroll.onMove ->
	if scroll.scrollY > 44
		navigationBar.y = scroll.content.y - 16
	else
		navigationBar.y = 20
